Sie sind nicht angemeldet.

Anzeigen

**Wir werden in den kommenden Tagen einen Umzug auf einen neuen Server durchführen. Im Rahmen dieser Maßnahme wird das Forum ca. 1 Stunde nicht erreichbar sein.** nslu2-info.de ist ein privates Projekt von mir, welches jeden Monat aus eigener Tasche finanziert wird. Mit einer freiwilligen Spende wird der Erhalt und der weitere Ausbau dieses Forums unterstützt. Um mich beim Erhalt des Forums zu unterstützen, kannst Du entweder via Flattr oder Paypal spenden. Ich bedanke mich schon jetzt bei allen Unterstützern.

Lieber Besucher, herzlich willkommen bei: Die NSLU2 Community****wenns ums speichern und streamen geht****. Falls dies Ihr erster Besuch auf dieser Seite ist, lesen Sie sich bitte die Hilfe durch. Dort wird Ihnen die Bedienung dieser Seite näher erläutert. Darüber hinaus sollten Sie sich registrieren, um alle Funktionen dieser Seite nutzen zu können. Benutzen Sie das Registrierungsformular, um sich zu registrieren oder informieren Sie sich ausführlich über den Registrierungsvorgang. Falls Sie sich bereits zu einem früheren Zeitpunkt registriert haben, können Sie sich hier anmelden.

jeraziah

Anfänger

  • »jeraziah« ist der Autor dieses Themas

Beiträge: 4

Firmwareversion / your current Firmware: Unslung 6.8

  • Nachricht senden

1

Donnerstag, 10. Januar 2008, 21:42

ctorrent w3btorrent kompilieren

Hallo,

ich habe ein FSG-3 (3v4) und habe darauf w3btorrent_0.1.3 installiert. Läuft soweit super.. bis auf das ich den modifizierten ctorrent client dafür nicht kompilieren kann :(.

Das komplette w3btorrent paket könnt ihr auf sourceforge finden. Ist eine gute Alternative zu flluxtorren und was man sonst so findet.


Ist hier jemand bereit den torrent client zu kompilieren und zur Verfügung zu stellen?

Tausend dank vorab!
»jeraziah« hat folgende Datei angehängt:

Anzeigen

jeraziah

Anfänger

  • »jeraziah« ist der Autor dieses Themas

Beiträge: 4

Firmwareversion / your current Firmware: Unslung 6.8

  • Nachricht senden

2

Donnerstag, 10. Januar 2008, 22:04

Hier der Link zum Projekt:
http://sourceforge.net/projects/w3btorrent/

Und hier der Link zur Demo:
http://www.thewulong.com/w3btorrent/demo/
login: Admin
Pass: 1234

Das sind auch die Logindaten nach einer frischen Installation.

Anzeigen

Beiträge: 73

Firmwareversion / your current Firmware: originale Firmware 2.3r25

  • Nachricht senden

3

Sonntag, 13. Januar 2008, 15:15

Ich will w3btorrent auf der NSLU2 laufen lassen. hab alles enpackt und die Dateirechte richtig gesetzt.
Wenn ich aber auf //server/w3btorrent/index.php gehe kommt nur eine weiße Seite!!!
Benutze AppWeb als Webserver!
Was mache ich falsch?

jeraziah

Anfänger

  • »jeraziah« ist der Autor dieses Themas

Beiträge: 4

Firmwareversion / your current Firmware: Unslung 6.8

  • Nachricht senden

4

Montag, 14. Januar 2008, 11:28

In den requirements steht nur

Requirements
- Unix-like server
- Apache or lighttpd (haven't tried anything else)
- PHP4+
- Optional: BitTorrent and python


hast du es selber installiert oder über das install script?
http://www.thewulong.com/w3btorrent/?page=downloads

Beiträge: 73

Firmwareversion / your current Firmware: originale Firmware 2.3r25

  • Nachricht senden

5

Mittwoch, 16. Januar 2008, 22:30

Hab das Problem gelöst auf appWeb gings nicht, hab lighttpd installiert.
Jetzt brauchen wir nur eine kompilierte Version für unslung

jeraziah

Anfänger

  • »jeraziah« ist der Autor dieses Themas

Beiträge: 4

Firmwareversion / your current Firmware: Unslung 6.8

  • Nachricht senden

6

Donnerstag, 17. Januar 2008, 02:34

Zitat von »therealwakka;29647«

Jetzt brauchen wir nur eine kompilierte Version für unslung
und fürs FSG3!

carlos

Anfänger

Beiträge: 20

Firmwareversion / your current Firmware: originale Firmware 2.3r24

  • Nachricht senden

7

Donnerstag, 17. Januar 2008, 13:56

Also ich habe denw3btorrent auf meiner NSLU2 mit unslung installiert.
Den ctorrent habe ich kompiliert.
Jedoch funktioniert bei mir der start weder unter appweb noch unter lighttpd. Keine Ahnung warum.

Carlos

Beiträge: 73

Firmwareversion / your current Firmware: originale Firmware 2.3r25

  • Nachricht senden

8

Donnerstag, 17. Januar 2008, 17:00

Du kommst ins Webinterface aber die Torrent starten nicht oder was?
Eventuell Rechtevergabe !?
Könntest du deine kompilierte version posten?


p.s. Wie richte ich eine Umgebung zum Kompilieren ein?

carlos

Anfänger

Beiträge: 20

Firmwareversion / your current Firmware: originale Firmware 2.3r24

  • Nachricht senden

9

Freitag, 18. Januar 2008, 10:16

Von Hand kann ich sie anstarten, man sieht dann sogar im webinterface wie sich der Status ändert.
Anbei meine compilierte Version:

Wie man eine Umgebung zum compilieren einrichtet steht hier:
http://www.nslu2-linux.org/wiki/HowTo/NativeDevelopmentSetup

Gruß

Carlos
»carlos« hat folgende Datei angehängt:
  • wctorrent.zip (270,36 kB - 62 mal heruntergeladen - zuletzt: 13. August 2016, 07:08)

Kubelikwise

Anfänger

Beiträge: 3

Firmwareversion / your current Firmware: Unslung 6.8

  • Nachricht senden

10

Dienstag, 18. März 2008, 19:45

neue Version von w3btorrent

jetzt gibts version 0.1.4 alpha, die den "standard" enhanced-ctorrent verwendet. installation auf nslu2 hab bei mir funktioniert, auch einen torrent zu starten, aber dann hat das webinterface nicht mehr reagiert (nur "starting torrent...", obwohl der schon lange lief).
wäre ein nettes programm...

https://sourceforge.net/project/showfile…group_id=154506

Solo0815

Schüler

Beiträge: 58

Firmwareversion / your current Firmware: originale Firmware 2.3r24

  • Nachricht senden

11

Dienstag, 25. März 2008, 12:04

Ich wollte die version auch mal versuchen, klappt nur leider nicht. Kann es sein, dass die Verison (wctorrent) für Debian kompiliert ist und nicht für unlsung?
Wenn ich die Version starten will, kommt

Quellcode

1
2
wctorrent --help
wctorrent: error while loading shared libraries: libstdc++.so.5: cannot open shared object file: No such file or directory

12

Mittwoch, 9. April 2008, 23:47

@Kubelikwise

hallo, ich habe auf meiner nslu2 debian installiert und derzeit ctcs-1.4 und enhanced-ctorrent-dnh3.3 (vom 08.04.2008, bis dahin die 3.2) funktionsfähig laufen. Jetzt wollte ich mal w3btorrent testen und habe dazu lighttpd und php5-cgi per apt-get installiert. wie muss ich jetzt w3btorrent installieren, damit es mit dem enhanced-ctorrent läuft. wollte mit "dpkg -i w3btorrent_0.1.4alpha.deb" installieren und bekomme die Fehlermeldung:

w3btorrent depends on ctorrent (>= 1.3.4); however:
Package ctorrent is not installed.
dpkg: error processing w3btorrent (--install):
dependency problems - leaving unconfigured
Errors were encountered while processing:
w3btorrent

Ich wollte nicht noch ein ctorrent-Paket installieren oder muss ich es doch ? Kannst du mir da bitte genaue Schritte angeben; bin leider ein Linux-(Debian)-Neuling.

Danke schonmal im Voraus
darkman242

Kubelikwise

Anfänger

Beiträge: 3

Firmwareversion / your current Firmware: Unslung 6.8

  • Nachricht senden

13

Samstag, 12. April 2008, 13:09

Hallo darkman242,
ich versuche das mit unslung zum laufen zu bringen, mit debian bin ich da leider keine große Hilfe...
ich glaube aber, dass das ctorrent package extra installiert werden muss:

Zitat


Download w3btorrent_0.1.4alpha.deb
As root do: dpkg -i w3btorrent_0.1.4alpha.deb
Visit your http://webserver/w3btorrent and enjoy the software
If you need the ctorrent package you can get it here

viel glück!

14

Samstag, 12. April 2008, 20:59

Danke für die Antwort, habe aber mittlerweile bei mit torrentflux-b4rt zum laufen bekommen und werde das erstmal testen

Social Bookmarks